@charset "UTF-8";

/* Specific style sheet for the IMI "About" page, ed. 2025
 * by Sascha Leib for GROW.E.4
 * File name: local/about.css
 */

/* special design for the video block */
#video-wrapper {
	background-color: #fff;
	border: 1px solid #3860ED88;
	border-radius: .25rem 0 0 2px;
	padding: 1rem .5rem 0;
	margin: 0 0 .25rem .25rem;
	box-shadow: 0 0 1px rgba(38,50,75,.06),2px 2px 2px rgba(38,50,75,.05),4px 4px 6px rgba(38,50,75,.05),0 1px 0 #e0e5f5 inset;
}
#video-wrapper h3 {
	font-size: 1.25rem;
	line-height: 1.25rem;
	margin: 0 0 .5rem 0;
	padding: 0;
	text-align: center;
}
#video-wrapper a.video-player {
	display: block;
}
#video-wrapper a.video-player::after {
  content: none !important;
}
#video-wrapper figcaption {
	font-size: smaller;
	margin-bottom: .5rem;
}

/* The Popup Video Player: */
#video-player {
	width: 100%;
	max-width: 660px;
	position: fixed;
	left: 50%; top: 50%;
	transform: translate(-50%, -50%);
	background-color: #404040;
	color: #FFF;
	border: #666 solid 2pt;
	border-radius: .5em;	
	box-shadow: 1pt 1pt .5rem 0 #000;
	z-index: 10;
}
#video-player button {
	float: right;
	background-color: transparent;
	border: none;
	border-radius: 50%;
	padding: 0 1pt 2pt 1pt;
	margin: 3pt;
	cursor: pointer;
}
#video-player button::before {
	content: '\2a09';
	display: block;
	width: 1rem; height: 1rem;
	font-size: 1rem;
	line-height: 1rem;
	color: #FFF;
}

#video-player video {
	clear: both;
	margin: 0 10px 5px 10px;
}
	
/* extra spacing in bullet lists: */
main ul li {
	margin: .5em 0 .5em 1em;
}

/* cloverleaf graph */
.cloverleaf {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 1em 2em;
	list-style: none inside;
	padding: 0;
	margin: 0 1em;
}
.cloverleaf > li {
	margin: 0; padding: 0;
	min-height: 8rem;
	color: #000;
	border: #CCC solid .25em;
	display: grid;
	grid-template-columns: 40px auto;
	gap: .5rem;
	border-radius: .5em;
}
.cloverleaf > li::before {
	content: '';
	background: grey url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cg transform='matrix(0.18589016,0,0,0.18418514,-0.29744524,-0.75513076)'%3E%3Ccircle transform='matrix(1,-0.00420155,0.00420155,1,-0.2846,0.2752)' cx='65.4' cy='67.9' r='62.8' style='fill:%23FFFFFF;stroke:%234755A0;stroke-width:2;'/%3E%3C/g%3E%3C/svg%3E") no-repeat center 2pt;
	background-size: 32px;
	text-align: center;
	color: #FFF;
}
.cloverleaf > li:first-child { border-color: #488F8E; }
.cloverleaf > li:first-child::before {
	background-color: #488F8E;
	background-image: url('../../img/icon/requests-0.svg');
}
.cloverleaf > li:nth-child(2) { border-color: #4755A0; }
.cloverleaf > li:nth-child(2)::before {
	background-color: #4755A0;
	background-image: url('../../img/icon/notifications-0.svg');
}
.cloverleaf > li:nth-child(3) { border-color: #CA79B2; }
.cloverleaf > li:nth-child(3)::before {
	background-color: #CA79B2;
	background-image: url('../../img/icon/repositories-0.svg');
}
.cloverleaf > li:nth-child(4) { border-color: #A8CF4C; }
.cloverleaf > li:nth-child(4)::before {
	background-color: #A8CF4C;
	background-image: url('../../img/icon/public-interfaces-0.svg');
}
.cloverleaf > li > span {
	padding: 1rem;
	word-wrap: break-word;
	overflow-wrap: break-word;
	hyphens: auto;
	-ms-hyphens: auto;
	-moz-hyphens: auto;
	-webkit-hyphens: auto;
	hyphenate-limit-chars: 6 2 3;
}

/* timeline */
ol.timeline {
	list-style: none inside;
	margin: 0; padding: 0;
}
ol.timeline li {
	margin: 0; padding: 0;
}
ol.timeline dl {
	display: grid;
	grid-template-columns: 9em auto;
	margin: 0; padding: 0;
}

ol.timeline dt,
ol.timeline dd {
	min-height: 3em;
	border: transparent 0 none;
}
ol.timeline dt {
	grid-column: 1;
	position: relative;
	text-align: right;
	font-weight: bold;
	padding: 0 1.5em .25em 0;
}
ol.timeline dt time {
	display: inline-block;
	min-width: 7em;
}

ol.timeline dt::before,
ol.timeline dt::after {
	content: '\200B';
	display: inline-block;
	width: .75em; height: .75em;
	position: absolute;
	right: -.75em;
	background: #A8CF4C;;
	border: .25em solid #FFF;
	outline: #404040 solid 1px;
	border-radius: 50%;
}
ol.timeline dt::before {
	display: none;
	right: initial;
	left: -.75em;
}
ol.timeline dd {
	border-left: #40404080 double .25em;
	padding: 0 0 1em 1.25em;
	grid-column: 2;
}

ol.timeline details {
	margin: 0 0 1em 0;
	padding: 0;
}
ol.timeline details summary {
	font-size: 1rem;
	line-height: 1.5em;
	width: auto;
	padding: 0;
	font-weight: bold;
	color: #4755A0;
	cursor: pointer;
	margin: 0 0 0 1.1em;
	text-indent: -1em;
}
ol.timeline details summary:hover {
	text-decoration: none;
}
ol.timeline details summary:focus {
	outline: 3px solid #A8CF4C;
	border-radius: .25em;
}

ol.timeline summary h4 {
	display: inline;
	font-size: 1.1rem;
	line-height: 1em;
	margin: 0 .25rem; padding: 0;
	font-weight: bold;
}
ol.timeline summary:hover h4 {
	text-decoration: underline;
}
ol.timeline details h5,
ol.timeline details p {
	font-size: 1rem;
	margin: .25rem 0 .25rem 1.25em;
}
ol.timeline details h5 {
	font-weight: bold;
}

/* extend the line to show that work is ongoing */
ol.timeline li.extension dt,
ol.timeline li.extension dd {
	min-height: 1em;
	border-style: dashed !important;
}
ol.timeline li.extension dt::before,
ol.timeline li.extension dt::after {
	content: none;
}

/* easter egg: SOLVIT text logo :-) */
ol.timeline .inline-solvit {
	background: transparent url(../../img/service/solvit.svg) 0 3px no-repeat;
	background-size: auto .92em;
	color: transparent !important;
}

/* smaller screen overrides */
@media (max-width: 1020px) {
	.cloverleaf {
		grid-template-columns: 1fr;
	}
}

/* tablet sizes */
@media (max-width: 768px) {
	ol.timeline dl {
		grid-template-columns: 4.5em auto;
	}
	ol.timeline dt time {
		min-width: 3em;
	}
}